This bugzilla service is closed. All entries have been migrated to https://gitlab.com/libeigen/eigen
Bug 338 - pkgconfig installs into [prefix]/share instead of [prefix]/lib
Summary: pkgconfig installs into [prefix]/share instead of [prefix]/lib
Status: RESOLVED FIXED
Alias: None
Product: Eigen
Classification: Unclassified
Component: General (show other bugs)
Version: 3.0
Hardware: All All
: --- Unknown
Assignee: Nobody
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-30 23:21 UTC by trevor
Modified: 2019-12-04 11:05 UTC (History)
3 users (show)



Attachments

Description trevor 2011-08-30 23:21:21 UTC
in CMakeLists.txt:

    if(EIGEN_BUILD_PKGCONFIG)
        configure_file(eigen3.pc.in eigen3.pc)
        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/eigen3.pc
            DESTINATION share/pkgconfig
            )
    endif(EIGEN_BUILD_PKGCONFIG)


would it be possible to have the 'share' changed to 'lib' or at least make it configurable at compile-time? this is resulting in a non-standard location with homebrew package management in os x ( http://mxcl.github.com/homebrew/ )

for a counterexample, here's the approach CMinpack takes that installs as expected -
  http://devernay.free.fr/hacks/cminpack/cminpack.html
  http://devernay.free.fr/hacks/cminpack/cminpack-1.1.3.tar.gz

in CMakeLists.txt:
    set(pkg_conf_file ${CMAKE_CURRENT_BINARY_DIR}/cminpack.pc)
    configure_file(cminpack.pc.in ${pkg_conf_file} @ONLY)
    install(FILES ${pkg_conf_file}
        DESTINATION ${CMINPACK_LIB_INSTALL_DIR}/pkgconfig/ COMPONENT pkgconfig)
Comment 1 Benoit Jacob 2011-08-30 23:25:15 UTC
It initially installed the pkgconfig file in /lib and someone complained and had it changed to /share... seems like we can't make everyone happy.
Comment 2 trevor 2011-08-30 23:28:08 UTC
(In reply to comment #1)
> seems like we can't make everyone happy.

ah, i see. command-line switch?
Comment 3 Benoit Jacob 2011-08-30 23:30:38 UTC
This was changed in cset 289d88c9bd3ef4345237c66b5d741eb0583796a8 following a request from Ingmar Vanhassel. Maybe email him.
Comment 4 Benoit Jacob 2011-08-30 23:31:24 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > seems like we can't make everyone happy.
> 
> ah, i see. command-line switch?

If you want, I'd take a patch making that configurable by adding a new CMake option, keeping the current behavior as default..
Comment 5 trevor 2011-08-31 02:17:36 UTC
(In reply to comment #4)
> If you want, I'd take a patch making that configurable by adding a new CMake
> option, keeping the current behavior as default..

great, pull request sent.
Comment 6 Jitse Niesen 2011-09-11 07:47:16 UTC
Committed as changeset 0b7f92e0e626 and be73e9686e0e.
Comment 7 Nobody 2019-12-04 11:05:14 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to gitlab.com's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.com/libeigen/eigen/issues/338.

Note You need to log in before you can comment on or make changes to this bug.